# Google Data APIs Client Library (1.43.0)

## com.google.gdata.util
Class Namespaces

    java.lang.Object
      com.google.gdata.util.Namespaces

    public final class Namespaces

extends java.lang.Object

Collection of various namespace URIs.

Field Summary
`static java.lang.String` `atom` Atom namespace.
`static com.google.gdata.util.common.xml.XmlNamespace` `atomNs` Atom XML namespace, for assigning `atom:` prefix.
`static java.lang.String` `atomPub` Deprecated. Use `getAtomPubNs().getUri()` instead. Use `atomPubDraft` if you absolutely want the draft app namespace and not the standard one.
`static java.lang.String` `atomPubDraft` Atom Publishing Protocol (draft) namespace.
`static com.google.gdata.util.common.xml.XmlNamespace` `atomPubDraftNs` Atom Publishing Protocol (draft) XML namespace.
`static com.google.gdata.util.common.xml.XmlNamespace` `atomPubNs` Deprecated. Use `getAtomPubNs()` instead. Use `atomPubDraftNs` if you absolutely want the draft app namespace and not the standard one.
`static java.lang.String` `atomPubStandard` Atom Publishing Protocol (final) namespace.
`static com.google.gdata.util.common.xml.XmlNamespace` `atomPubStandardNs` Atom Publishing Protocol (final) XML namespace.
`static java.lang.String` `batch` Google data batch feeds namespace.
`static java.lang.String` `batchAlias`
`static com.google.gdata.util.common.xml.XmlNamespace` `batchNs`
`static java.lang.String` `g` Google data (GD) namespace
`static java.lang.String` `gAlias`
`static java.lang.String` `gdataConfig` GData configuration namespace.
`static com.google.gdata.util.common.xml.XmlNamespace` `gdataConfigNs` GData XML namespace.
`static java.lang.String` `gKind` Google data kind scheme.
`static com.google.gdata.util.common.xml.XmlNamespace` `gNs` Google data XML namespace.
`static java.lang.String` `gPrefix`
`static java.lang.String` `gr` Google data runtime namespace.
`static com.google.gdata.util.common.xml.XmlNamespace` `grNs` Google data runtime XML namespace.
`static java.lang.String` `openSearch` Deprecated. Use `getOpenSearchNs().getUri()` instead. Use `openSearch1_0` if you absolutely want the namespace of opensearch 1.0 and not 1.1.
`static java.lang.String` `openSearch1_0` Amazon OpenSearch/RSS 1.0 namespace.
`static com.google.gdata.util.common.xml.XmlNamespace` `openSearch1_0Ns` Amazon OpenSearch/RSS 1.0 XML namespace.
`static java.lang.String` `openSearch1_1` Amazon OpenSearch 1.1 namespace.
`static com.google.gdata.util.common.xml.XmlNamespace` `openSearch1_1Ns` Amazon OpenSearch 1.1 XML namespace.
`static java.lang.String` `openSearchDesc` Deprecated. Use `getOpenSearchDescNs().getUri()` instead.
`static java.lang.String` `openSearchDesc1_1` Deprecated. Use `getOpenSearchDescNs().getUri()` instead.
`static com.google.gdata.util.common.xml.XmlNamespace` `openSearchDesc1_1Ns` Deprecated. Use `getOpenSearchDescNs()` instead.
`static com.google.gdata.util.common.xml.XmlNamespace` `openSearchDescNs` Deprecated. Use `getOpenSearchDescNs()` instead.
`static com.google.gdata.util.common.xml.XmlNamespace` `openSearchNs` Deprecated. Use `getOpenSearchNs()` instead. Use `openSearch1_0Ns` if you absolutely want the namespace of opensearch 1.0.
`static com.google.gdata.util.common.xml.XmlNamespace` `rssNs` RSS XML namespace.
`static java.lang.String` `xhtml` XHTML namespace.
`static com.google.gdata.util.common.xml.XmlNamespace` `xhtmlNs` XHTML XML namespace.
`static java.lang.String` `xml` Standard XML namespace used for `xml:lang`, `xml:base`, ...
`static com.google.gdata.util.common.xml.XmlNamespace` `xmlNs` XML namespace

Method Summary
`static java.lang.String` `deflate(java.lang.String uri)` Deflate a full GData URI using gPrefix (with "#") into a short name if possible.
`static java.lang.String` `deflate(java.lang.String uri, java.lang.String namespace)` Deflate a full URI into a short name if possible.
`static com.google.gdata.util.common.xml.XmlNamespace` `getAtomPubNs()` Returns the XML namespace associated with the Atom Publishing Protocol.
`static com.google.gdata.util.common.xml.XmlNamespace` `getOpenSearchDescNs()` Returns the XML namespace associated with OpenSearch Description.
`static com.google.gdata.util.common.xml.XmlNamespace` `getOpenSearchNs()` Returns the XML namespace associated with OpenSearch.
`static java.lang.String` `inflate(java.lang.String name)` Inflate a short name into a full GData URI using gPrefix (ending in "#").
`static java.lang.String` `inflate(java.lang.String name, java.lang.String namespace)` Inflate a short name into a full URI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xml

    public static final java.lang.String xml

  Standard XML namespace used for `xml:lang`, `xml:base`, ...

  See Also:
    Constant Field Values

### xmlNs

    public static final com.google.gdata.util.common.xml.XmlNamespace xmlNs

  XML namespace

### atom

    public static final java.lang.String atom

  Atom namespace.

  See Also:
    Constant Field Values

### atomNs

    public static final com.google.gdata.util.common.xml.XmlNamespace atomNs

  Atom XML namespace, for assigning `atom:` prefix.

### atomPubDraft

    public static final java.lang.String atomPubDraft

  Atom Publishing Protocol (draft) namespace.

  Use this only when you are sure you want the draft version of the namespace. Use `getAtomPubNs().getUri()` when you want the atom pub namespace that should be used for the current version.

  See Also:
    Constant Field Values

### atomPubDraftNs

    public static final com.google.gdata.util.common.xml.XmlNamespace atomPubDraftNs

  Atom Publishing Protocol (draft) XML namespace.

  Use this only when you are sure you want the draft version of the namespace. Use `getAtomPubNs()` when you want the atom pub namespace that should be used for the current version.

### atomPubStandard

    public static final java.lang.String atomPubStandard

  Atom Publishing Protocol (final) namespace.

  Use this only when you are sure you want the standard version of the namespace. Use `getAtomPubNs().getUri()` when you want the atom pub namespace that should be used for the current version.

  See Also:
    Constant Field Values

### atomPubStandardNs

    public static final com.google.gdata.util.common.xml.XmlNamespace atomPubStandardNs

  Atom Publishing Protocol (final) XML namespace.

  Use this only when you are sure you want the standard version of the namespace. Use `getAtomPubNs()` when you want the atom pub namespace that should be used for the current version.

### atomPub

    @Deprecated
    public static final java.lang.String atomPub

  Deprecated. Use `getAtomPubNs().getUri()` instead. Use `atomPubDraft` if you absolutely want the draft app namespace and not the standard one.
  Atom Publishing Protocol (draft) namespace.

  See Also:
    Constant Field Values

### atomPubNs

    @Deprecated
    public static final com.google.gdata.util.common.xml.XmlNamespace atomPubNs

  Deprecated. Use `getAtomPubNs()` instead. Use `atomPubDraftNs` if you absolutely want the draft app namespace and not the standard one.
  Atom Publishing Protocol (draft) XML namespace.

### rssNs

    public static final com.google.gdata.util.common.xml.XmlNamespace rssNs

  RSS XML namespace.

### openSearch1_0

    public static final java.lang.String openSearch1_0

  Amazon OpenSearch/RSS 1.0 namespace.

  Use this only when you are sure you want the version 1.0 of the namespace. Use `getOpenSearchNs().getUri()` when you want the opensearch URI that should be used for the current version.

  See Also:
    Constant Field Values

### openSearch1_0Ns

    public static final com.google.gdata.util.common.xml.XmlNamespace openSearch1_0Ns

  Amazon OpenSearch/RSS 1.0 XML namespace.

  Use this only when you are sure you want the version 1.0 of the namespace. Use `getOpenSearchNs()` when you want the opensearch URI that should be used for the current version.

### openSearch1_1

    public static final java.lang.String openSearch1_1

  Amazon OpenSearch 1.1 namespace.

  Use this only when you are sure you want the version 1.1 of the namespace. Use `getOpenSearchNs().getUri()` when you want the opensearch URI that should be used for the current version.

  See Also:
    Constant Field Values

### openSearch1_1Ns

    public static final com.google.gdata.util.common.xml.XmlNamespace openSearch1_1Ns

  Amazon OpenSearch 1.1 XML namespace.

  Use this only when you are sure you want the version 1.1 of the namespace. Use `getOpenSearchNs().getUri()` when you want the opensearch URI that should be used for the current version.

### openSearch

    @Deprecated
    public static final java.lang.String openSearch

  Deprecated. Use `getOpenSearchNs().getUri()` instead. Use `openSearch1_0` if you absolutely want the namespace of opensearch 1.0 and not 1.1.
  Amazon OpenSearch/RSS namespace.

  See Also:
    Constant Field Values

### openSearchNs

    @Deprecated
    public static final com.google.gdata.util.common.xml.XmlNamespace openSearchNs

  Deprecated. Use `getOpenSearchNs()` instead. Use `openSearch1_0Ns` if you absolutely want the namespace of opensearch 1.0.
  Amazon OpenSearch/RSS XML namespace.

### openSearchDesc

    @Deprecated
    public static final java.lang.String openSearchDesc

  Deprecated. Use `getOpenSearchDescNs().getUri()` instead.
  Amazon OpenSearch/RSS Description Document namespace.

  See Also:
    Constant Field Values

### openSearchDescNs

    @Deprecated
    public static final com.google.gdata.util.common.xml.XmlNamespace openSearchDescNs

  Deprecated. Use `getOpenSearchDescNs()` instead.
  Amazon OpenSearch/RSS Description Document XML namespace.

### openSearchDesc1_1

    @Deprecated
    public static final java.lang.String openSearchDesc1_1

  Deprecated. Use `getOpenSearchDescNs().getUri()` instead.
  Amazon OpenSearch 1.1 Description Document namespace.

  See Also:
    Constant Field Values

### openSearchDesc1_1Ns

    @Deprecated
    public static final com.google.gdata.util.common.xml.XmlNamespace openSearchDesc1_1Ns

  Deprecated. Use `getOpenSearchDescNs()` instead.
  Amazon OpenSearch 1.1 Description Document XML namespace.

### xhtml

    public static final java.lang.String xhtml

  XHTML namespace.

  See Also:
    Constant Field Values

### xhtmlNs

    public static final com.google.gdata.util.common.xml.XmlNamespace xhtmlNs

  XHTML XML namespace.

### gdataConfig

    public static final java.lang.String gdataConfig

  GData configuration namespace.

  See Also:
    Constant Field Values

### gdataConfigNs

    public static final com.google.gdata.util.common.xml.XmlNamespace gdataConfigNs

  GData XML namespace.

### g

    public static final java.lang.String g

  Google data (GD) namespace

  See Also:
    Constant Field Values

### gPrefix

    public static final java.lang.String gPrefix

See Also:
  Constant Field Values

### gAlias

    public static final java.lang.String gAlias

See Also:
  Constant Field Values

### gNs

    public static final com.google.gdata.util.common.xml.XmlNamespace gNs

  Google data XML namespace.

### gr

    public static final java.lang.String gr

  Google data runtime namespace.

  See Also:
    Constant Field Values

### grNs

    public static final com.google.gdata.util.common.xml.XmlNamespace grNs

  Google data runtime XML namespace.

### gKind

    public static final java.lang.String gKind

  Google data kind scheme.

  See Also:
    Constant Field Values

### batch

    public static final java.lang.String batch

  Google data batch feeds namespace.

  See Also:
    Constant Field Values

### batchAlias

    public static final java.lang.String batchAlias

See Also:
  Constant Field Values

### batchNs

    public static final com.google.gdata.util.common.xml.XmlNamespace batchNs

Method Detail

### getAtomPubNs

    public static final com.google.gdata.util.common.xml.XmlNamespace getAtomPubNs()

  Returns the XML namespace associated with the Atom Publishing Protocol.

### getOpenSearchNs

    public static final com.google.gdata.util.common.xml.XmlNamespace getOpenSearchNs()

  Returns the XML namespace associated with OpenSearch.

### getOpenSearchDescNs

    public static final com.google.gdata.util.common.xml.XmlNamespace getOpenSearchDescNs()

  Returns the XML namespace associated with OpenSearch Description.

### inflate

    public static java.lang.String inflate(java.lang.String name,
                                           java.lang.String namespace)

  Inflate a short name into a full URI. Names that already look like URIs are left alone.

  Parameters:
    `name` - the name
    `namespace` - the base namespace for the name
  Returns:
    the full URI

### inflate

    public static java.lang.String inflate(java.lang.String name)

  Inflate a short name into a full GData URI using gPrefix (ending in "#"). Names that already look like URIs are left alone. For example, "foo" becomes "http://schemas.google.com/g/2005#foo".

  Parameters:
    `name` - the name
  Returns:
    the full URI

### deflate

    public static java.lang.String deflate(java.lang.String uri,
                                           java.lang.String namespace)

  Deflate a full URI into a short name if possible. URIs that belong to a different namespace are left alone.

  Parameters:
    `uri` - the full URI
    `namespace` - the namespace name

### deflate

    public static java.lang.String deflate(java.lang.String uri)

  Deflate a full GData URI using gPrefix (with "#") into a short name if possible. Names that belong to a non-GData namespace are left alone. For example, "http://schemas.google.com/g/2005#foo" becomes "foo".

  Parameters:
    `uri` - the full URI
  Returns:
    the short name or full URI